Package org.apache.commons.math3.optimization.univariate

# Class SimpleUnivariateValueChecker

java.lang.Object
org.apache.commons.math3.optimization.AbstractConvergenceChecker<UnivariatePointValuePair>
org.apache.commons.math3.optimization.univariate.SimpleUnivariateValueChecker

All Implemented Interfaces:
  `ConvergenceChecker<UnivariatePointValuePair>`

@Deprecated public class SimpleUnivariateValueChecker extends AbstractConvergenceChecker<UnivariatePointValuePair>
Deprecated.
As of 3.1 (to be removed in 4.0).
Simple implementation of the `ConvergenceChecker` interface that uses only objective function values. Convergence is considered to have been reached if either the relative difference between the objective function values is smaller than a threshold or if either the absolute difference between the objective function values is smaller than another threshold.
The `converged` method will also return `true` if the number of iterations has been set (see `this constructor`).

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`SimpleUnivariateValueChecker()`
Deprecated.
See `AbstractConvergenceChecker()`
`SimpleUnivariateValueChecker(double relativeThreshold, double absoluteThreshold)`
Deprecated.
Build an instance with specified thresholds.
`SimpleUnivariateValueChecker(double relativeThreshold, double absoluteThreshold, int maxIter)`
Deprecated.
Builds an instance with specified thresholds.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`converged(int iteration, UnivariatePointValuePair previous, UnivariatePointValuePair current)`
Deprecated.
Check if the optimization algorithm has converged considering the last two points.

### Methods inherited from class org.apache.commons.math3.optimization.AbstractConvergenceChecker

`getAbsoluteThreshold, getRelativeThreshold`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleUnivariateValueChecker

@Deprecated public SimpleUnivariateValueChecker()
Deprecated.
See `AbstractConvergenceChecker()`
Build an instance with default thresholds.

### SimpleUnivariateValueChecker

public SimpleUnivariateValueChecker(double relativeThreshold, double absoluteThreshold)
Deprecated.
Build an instance with specified thresholds. In order to perform only relative checks, the absolute tolerance must be set to a negative value. In order to perform only absolute checks, the relative tolerance must be set to a negative value.

Parameters:
  `relativeThreshold` - relative tolerance threshold
  `absoluteThreshold` - absolute tolerance threshold

### SimpleUnivariateValueChecker

public SimpleUnivariateValueChecker(double relativeThreshold, double absoluteThreshold, int maxIter)
Deprecated.
Builds an instance with specified thresholds. In order to perform only relative checks, the absolute tolerance must be set to a negative value. In order to perform only absolute checks, the relative tolerance must be set to a negative value.

Parameters:
  `relativeThreshold` - relative tolerance threshold
  `absoluteThreshold` - absolute tolerance threshold
  `maxIter` - Maximum iteration count.
Throws:
  `NotStrictlyPositiveException` - if `maxIter <= 0`.
Since:
  3.1

## Method Details

### converged

public boolean converged(int iteration, UnivariatePointValuePair previous, UnivariatePointValuePair current)
Deprecated.
Check if the optimization algorithm has converged considering the last two points. This method may be called several time from the same algorithm iteration with different points. This can be detected by checking the iteration number at each call if needed. Each time this method is called, the previous and current point correspond to points with the same role at each iteration, so they can be compared. As an example, simplex-based algorithms call this method for all points of the simplex, not only for the best or worst ones.

Specified by:
  `converged` in interface `ConvergenceChecker<UnivariatePointValuePair>`
Specified by:
  `converged` in class `AbstractConvergenceChecker<UnivariatePointValuePair>`
Parameters:
  `iteration` - Index of current iteration
  `previous` - Best point in the previous iteration.
  `current` - Best point in the current iteration.
Returns:
  `true` if the algorithm has converged.